%define	api	2.0
%define major	0
%define	libname	%mklibname	mediaart %{api} %{major}
%define	girname	%mklibname	mediaart-gir %{api}
%define	devname	%mklibname	mediaart	-d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Library for managing media art caches
Name:		libmediaart
Version:	1.9.7
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gio-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.35.1

%description
Library tasked with managing, extracting and handling media art caches.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Library tasked with managing, extracting and handling media art caches.


This package contains the shared library for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	mediaart-devel = %{version}-%{release}

%description -n %{devname}
This package contains files needed for development with %{name}.

%prep
%setup -q

%build
%meson \
	-Dgtk_doc=true
%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MediaArt-%{api}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%dir %{_includedir}/%{name}-%{api}
%dir %{_includedir}/%{name}-%{api}/%{name}
%{_includedir}/%{name}-%{api}/%{name}/*
%{_datadir}/gir-1.0/MediaArt-%{api}.gir
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/vala/vapi/%{name}-%{api}.deps
%{_datadir}/vala/vapi/%{name}-%{api}.vapi


%changelog
* Thu Mar 13 2025 daviddavid <daviddavid> 1.9.7-1.mga10
+ Revision: 2163187
- new version 1.9.7

* Wed Jun 01 2022 ovitters <ovitters> 1.9.6-1.mga9
+ Revision: 1860982
- new version 1.9.6

* Tue Mar 29 2022 umeabot <umeabot> 1.9.5-2.mga9
+ Revision: 1831928
- Mageia 9 Mass Rebuild

* Wed May 26 2021 ovitters <ovitters> 1.9.5-1.mga9
+ Revision: 1728448
- new version 1.9.5
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.9.4-3.mga8
+ Revision: 1514687
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.9.4-2.mga7
+ Revision: 1298986
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Aug 11 2017 ovitters <ovitters> 1.9.4-1.mga7
+ Revision: 1139829
- new version 1.9.4

* Thu Aug 10 2017 ovitters <ovitters> 1.9.3-1.mga7
+ Revision: 1139496
- new version 1.9.3

* Wed Aug 09 2017 ovitters <ovitters> 1.9.2-1.mga7
+ Revision: 1139425
- new version 1.9.2

* Sun Mar 05 2017 ovitters <ovitters> 1.9.1-1.mga6
+ Revision: 1088795
- new version 1.9.1

* Thu Feb 11 2016 umeabot <umeabot> 1.9.0-2.mga6
+ Revision: 955594
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 ovitters <ovitters> 1.9.0-1.mga6
+ Revision: 838337
- update api
- new version 1.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 749208
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 0.7.0-1.mga5
+ Revision: 732558
- new version 0.7.0
- tag docs as such

* Sat Sep 27 2014 tv <tv> 0.6.0-4.mga5
+ Revision: 726745
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 0.6.0-3.mga5
+ Revision: 724921
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-2.mga5
+ Revision: 681597
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 dams <dams> 0.6.0-1.mga5
+ Revision: 666701
- new version 0.6.0

* Tue Apr 01 2014 ovitters <ovitters> 0.4.0-1.mga5
+ Revision: 611147
- new version 0.4.0

* Fri Mar 14 2014 dams <dams> 0.3.0-1.mga5
+ Revision: 603447
- new version 0.3.0

* Wed Feb 19 2014 ovitters <ovitters> 0.2.0-1.mga5
+ Revision: 594700
- imported package libmediaart

